Subject: Re: bug#23793: 25.0.95; CEDET should use xref marker stack when jumping

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 15:13:27 +0200

Bastian Beischer <[email-masked]> writes:

> CEDET / Semantic should use xref-push-marker-stack when jumping to a
> tag, this makes it easy to pop back to the original place.
>
> Patch for Emacs 25.0.95 is attached - but maybe there are more places
> that need fixing? There's also the option to put this in
> semantic-go-to-tag directly.

Thanks; I've applied it to the Emacs trunk.  It was just small enough to
apply without a copyright assignment, if I counted the lines correctly,
but for further changes, we'd need some copyright assignment paperwork.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no